<?php
$host = 'localhost'; 
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Empresa01\Datos\SAE70EMPRE01.fdb';
$username = 'SYSDBA'; 
$password = 'masterkey'; 

if (isset($_GET['producto'])) {
    $claveProducto = $_GET['producto'];

    try {
        $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        $sql = "SELECT CVE_ART, LOTE, PEDIMENTO, PEDIMENTOSAT, CANTIDAD, FCHADUANA, FEC_PROD_LT
                FROM LTPD01
                WHERE CVE_ART = :producto";
        $stmt = $dbh->prepare($sql);
        $stmt->bindParam(':producto', $claveProducto, PDO::PARAM_STR);
        $stmt->execute();
        $datos = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($datos) {
            echo json_encode($datos);
        } else {
            echo json_encode(['error' => 'No se encontraron datos para el producto seleccionado.']);
        }
    } catch (PDOException $e) {
        echo json_encode(['error' => 'Error: ' . $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Clave de producto no proporcionada']);
}
?>
